#include <stdio.h>
#include <conio.h>
#include "sysp.h"

void main() {

	int botm;

// Инициализируем мышь, определяем количество клавиш

	if(!ms_init(&botm)) {
		printf("\nМышь не установлена");
		exit(-1);
	}

	printf("\nУстановлена мышь: ");
	switch (botm) {
	  case 2:
			printf("двухклавишная"); break;
	  case 3:
			printf("трехклавишная, системы Mouse Systems"); break;
	  case 0:
	  default:
			printf("неизвестной системы"); break;
	}

// Включаем курсор и ожидаем нажатия на клавишу

	printf("\n\nКурсор мыши включен, для выключения нажмите любую клавишу");

	ms_on();

	getch();

// Выключаем курсор

	ms_off();
	printf("\nКурсор выключен, для завершения нажмите любую клавишу");

	getch();

}
